Subject: Re: [PATCH] New files in git weren't being downloaded during CVS update

From: Andy Parkins <[email-masked]>
Date: Sat, 20 Jan 2007 10:25:29 +0000

On Saturday 2007, January 20 01:19, Simon 'corecode' Schubert wrote:

> I think this is the wrong fix.  Reading cvs's classify.c, T_ADDED is
> only generated for *locally* added files, never for added files in
> the repo.  The correct status would be "U" as well.

I'm sure you're right; I don't know enough about CVS to comment.  The 
real fix would seem to be to completely remove the special case for 
added files and let it drop through to the normal update code. 

However, I'm not confident about that either.

Andy

-- 
Dr Andrew Parkins, M Eng (Hons), AMIEE
[email-masked]